#include <bits/stdc++.h>

#define ll long long

void solve()
{
    ll N, M;
    std::cin >> N >> M;

    if(N != M)
    {
        std::cout << -1 << "\n";
        return;
    }

    for(ll i = 0; i < N; i++)
    {
        for(ll j = i + 1; j < M; j++)
        {
            std::cout << "0 ";
        }

        for(ll j = 0; j < i + 1; j++)
        {
            std::cout << "1 ";
        }

        std::cout << "\n";
    }
}

int main()
{
    int T;
    std::cin >> T;

    while(T--)
        solve();

    return 0;
}